Preview Lease Pricing

Based on the content of a customer’s shopping cart, the Katapult API can return a preview of the customer’s initial payment at checkout as well as their subsequent monthly payments.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Requested Attributes

AttributeData TypeDescriptionRequired Format
statestringcustomer's billing state2 char state abbrev.
item_typestringcondition of the merchandise being added to the cartresult possibilities
quantityintegernumber of a speicfic item in the cartnumber
retailer_pricestringretail price of one unit of an itemnumber
item_codestringretailer defined and specific stock keeping unit to identify the product/item in the cartnone
item_namestringname of the item in the cartnone
pricestringprice of warrantynumber
namestringname of warrantynone
codestringsku of warrantynone
leasablebooleanindication if the warranty is leasable or nottrue / false
delivery_methodstringindication of product deliveryresult possibilities
shippingstring$ amount of shipping on an itemnumber
zipcodestringcustomer's billing zip code5 digit

Requested Payload

{
  "state":"NY",
  "items":[{
    "item_type":"new"
		"quantity":1,
		"retailer_price":500
		"item_code":"ukz637",
    "item_name":"samsung tv",
		"warranty":{
      "price":100,
			"name":"warranty name",
    	"code":"warranty sku"
  	},
		"leasable":true
  }],
	"delivery_method": "delivery",
	"shipping":10,
	"zipcode": "10010"
}

Preview Lease Pricing

ErrorsHTTP statusDescription
NOT FOUND404Invalid state
INTERNAL SERVER ERROR500Invalid Request Payload
UNAUTHORIZED401Invalid Authorization Token
Body Params
string
string
number
string
items
array of objects
items
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Choose an example:
application/json